Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025338
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2013-12-16 11:082014-01-07 15:39
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchpiFixed in SCM revision11f00ff01be6
ProjectionnoneETAnoneTarget VersionRMP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025338: Problem with packs and priority

DescriptionProblem with packs and priority
Steps To Reproduce-Define 2 packs:
1-Includes:
Headlamp ultralight = 4
Insect repellent = 1

The priority is "0". It should be applied always

2-Includes:
Headlamp ultralight = 3
Insect repellent = 1

The priority is "20".

After that, login in Web POS and follow the following steps:
-add 2 "Headlamp ultralight" and 1 "Insect repellent"
-after that, if you add a new "Headlamp ultralight" you will see that pack 2 is applied
-now add a new "Headlamp ultralight" and verify that pack 1 is not applied when it should be applied.


TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062764)
hgbot (developer)
2013-12-18 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0d5d6a12241a3c181c152d02c2cb493bf1fcef83
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 19:19:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d5d6a12241a3c181c152d02c2cb493bf1fcef83 [^]

related to issue 25338: Priorities with packs are working fine

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062766)
hgbot (developer)
2013-12-18 09:54

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: 11f00ff01be63f5b3bd8b254b4f63d88c18e0df6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 19:06:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/11f00ff01be63f5b3bd8b254b4f63d88c18e0df6 [^]

fixed issue 25338: Priorities with packs are working fine

---
M web/org.openbravo.retail.discounts/js/promotion-pack.js
---
(0062810)
hgbot (developer)
2013-12-19 11:20

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: 0d5d6a12241a3c181c152d02c2cb493bf1fcef83
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 19:19:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/0d5d6a12241a3c181c152d02c2cb493bf1fcef83 [^]

related to issue 25338: Priorities with packs are working fine

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062816)
hgbot (developer)
2013-12-19 12:23

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: 432621b90c06715399e24feaec98674f57cf5de1
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Dec 19 12:19:53 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/432621b90c06715399e24feaec98674f57cf5de1 [^]

related to issue 25338: Add new condition to work fine with packs without defined priority

---
M web/org.openbravo.retail.discounts/js/promotion-pack.js
---
(0062868)
malsasua (developer)
2013-12-19 12:48

verified
(0062945)
hgbot (developer)
2013-12-19 19:56

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 0d5d6a12241a3c181c152d02c2cb493bf1fcef83
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 19:19:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/0d5d6a12241a3c181c152d02c2cb493bf1fcef83 [^]

related to issue 25338: Priorities with packs are working fine

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062975)
guilleaer (developer)
2013-12-20 13:08

reclosed
(0063183)
hgbot (developer)
2014-01-02 12:49

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 0d5d6a12241a3c181c152d02c2cb493bf1fcef83
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 19:19:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/0d5d6a12241a3c181c152d02c2cb493bf1fcef83 [^]

related to issue 25338: Priorities with packs are working fine

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063244)
hgbot (developer)
2014-01-07 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 0d5d6a12241a3c181c152d02c2cb493bf1fcef83
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 19:19:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/0d5d6a12241a3c181c152d02c2cb493bf1fcef83 [^]

related to issue 25338: Priorities with packs are working fine

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-12-16 11:08 jecharri New Issue
2013-12-16 11:08 jecharri Assigned To => marvintm
2013-12-16 11:08 jecharri Resolution time => 1390172400
2013-12-16 11:08 jecharri Triggers an Emergency Pack => No
2013-12-18 09:54 hgbot Checkin
2013-12-18 09:54 hgbot Note Added: 0062764
2013-12-18 09:54 hgbot Checkin
2013-12-18 09:54 hgbot Note Added: 0062766
2013-12-18 09:54 hgbot Status new => resolved
2013-12-18 09:54 hgbot Resolution open => fixed
2013-12-18 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/11f00ff01be63f5b3bd8b254b4f63d88c18e0df6 [^]
2013-12-19 11:20 hgbot Checkin
2013-12-19 11:20 hgbot Note Added: 0062810
2013-12-19 12:23 hgbot Checkin
2013-12-19 12:23 hgbot Note Added: 0062816
2013-12-19 12:48 malsasua Review Assigned To => malsasua
2013-12-19 12:48 malsasua Note Added: 0062868
2013-12-19 12:48 malsasua Status resolved => closed
2013-12-19 12:48 malsasua Fixed in Version => RMP30
2013-12-19 12:51 jecharri Status closed => new
2013-12-19 12:51 jecharri Resolution fixed => open
2013-12-19 12:51 jecharri Fixed in Version RMP30 =>
2013-12-19 12:52 jecharri Status new => scheduled
2013-12-19 12:52 jecharri fix_in_branch => pi
2013-12-19 12:52 jecharri Status scheduled => resolved
2013-12-19 12:52 jecharri Resolution open => fixed
2013-12-19 19:56 hgbot Checkin
2013-12-19 19:56 hgbot Note Added: 0062945
2013-12-20 13:08 guilleaer Note Added: 0062975
2013-12-20 13:08 guilleaer Status resolved => closed
2013-12-20 13:08 guilleaer Fixed in Version => RMP30
2014-01-02 12:49 hgbot Checkin
2014-01-02 12:49 hgbot Note Added: 0063183
2014-01-07 15:39 hgbot Checkin
2014-01-07 15:39 hgbot Note Added: 0063244


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker